<template>
  <div class="destacadas">
    <div class="destacadas__title">
      <h2>Peliculas Destacadas</h2>
    </div>
    <div class="destacadas__grid">
      <div class="destacadas__grid-item" v-for="(movie, index) in valoradas" :key="index">
        <router-link :to="`/movie/${movie.id}`">
          <img :src="`https://image.tmdb.org/t/p/original${movie.poster_path}`" :alt="movie.original_title">
        </router-link>
      </div>
    </div>
    <div class="destacadas__button">
      <button @click="this.addMovies">Ver Mas</button>
    </div>
  </div>
</template>

<script>
import ApiService from "../services/api.service";

export default {
  name: "Valoradas",
  mounted() {
    document.title = "Movies | Mas Valoradas";
  },
  data() {
    return { 
      valoradas: [],
      page: 1,
    }
  },
  async created() {
    this.page++;
    const { data } = await ApiService.getTopRated(this.page);
    this.valoradas = data.results;
  },
  methods: {
    async addMovies() {
      this.page ++;
      const { data } = await ApiService.getPopular(this.page);
      const newData = data.results;
      newData.map((new_movie) => {
        this.valoradas.push(new_movie);
      })
      
    }
  }
}
</script>

<style lang="scss">
.destacadas {
  padding: 0 80px;

  @media (max-width: 900px) {
    padding: 0 20px;
  }

  &__title {
    margin: 20px 0;
    font-size: 14px;
  }

  &__grid {
    display: grid;
    grid-gap: 25px;
    gap: 25px;
    grid-template-columns: repeat(4, minmax(0, 1fr));

    @media (max-width: 900px) {
      grid-template-columns: repeat(3, minmax(0, 1fr));
    }

    @media (max-width: 768px) {
      grid-template-columns: repeat(2, minmax(0, 1fr));
    }

    @media (max-width: 600px) {
      grid-template-columns: repeat(1, minmax(0, 1fr));
    }

    &-item {
      box-shadow: 0 20px 50px rgba(0,0,0,.8);

      img {
        width: 100%;
        object-fit: cover;
        transition: all .4s;
        transform: translateY(0px);

        &:hover {
          transform: translateY(10px);
          cursor: pointer;
          box-shadow: 0px 20px 35px -16px rgba(255, 159, 16, 0.801); 
        }
      }
    }
  }

  &__button {
    margin: 20px 0;
    display: flex;
    justify-content: center;

    button {
      padding: 10px 40px;
      border: none;

      &:hover {
        cursor: pointer;
      }
    }
  }
}
</style>